---
title: "Get a specific Condition."
slug: "get-a-specific-condition-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-a-specific-condition-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific Condition.

Get/conditions/{id}

Get a specific Condition.

SecurityHTTPType bearer

Path parametersidstring (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425

Responses200

Single Condition.

<select class='api-response-data' aria-label='Media type'><option value='a5501a24-bce4-468b-966d-d8b2c624bc46'>application/json</option>
</select>Expand Allobject  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
expressionstring    

Boolean expression in JavaScript.

Examplevar result = false;
if/*password*/(claims.user.hasPassword('test', 60))/*end password*/ { return true; }
return result;
repeatSchedules Array of string   

A list of schedules that decides when to reevaluate the Condition. All the scheduled times will be effective. One will not override the other. - It can be a time of the day, e.g. 13:00, 10:25, 2:10 etc. - It can be one of the predefined intervals, e.g. 1m, 5m, 15m, 1h. These intervals will be always rounded up, i.e. if it's 15m and the time is 12:07 when the Condition is evaluated first, then the next evaluation will occur at 12:15, and the next one will be at 12:30 and so on.

Example[
  "1h",
  "13:32"
]string    
remedyLogicstring    

Whether all the Remedy Methods must succeed to pass this Condition or just one.

Valid values[
  "and",
  "or"
]Default"and"
remedyMethods Array of object (RemedyMethod)   

The remedy methods that will be triggered if the evaluation fails.

object  typestring    

User Action type.

Valid values[
  "DisplayMessage",
  "OtpAuthentication",
  "PasswordAuthentication",
  "Reason"
]ExamplePasswordAuthentication
messagestring    

Message to be shown to the user. Required for all remedy method.

ExampleThis resource requires you to enter your password again
claimSuffixstring    

Suffix to be added to the claim. Required for OtpAuthentication, PasswordAuthentication and Reason remedy methods.

Exampletest
providerIdstring  (uuid)    

MFA Provider Id or Identity Provider Id. Required for some remedy method.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='fd2e93a6-1022-43b6-8f0a-9c11caaa20e3'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='cb36643c-bacd-4de3-a7a5-731d988a9943'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='39ab85b7-06f1-4875-a0b1-9cc3ea93f6b3'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='fed5063b-c4c1-4294-a7a0-d82072d27826'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='55c5ee2b-e42f-46c3-bc28-653788b22760'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
